
import os
import sys
sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
sys.path.append("/home/hofee/.local/lib/python3.11/site-packages")
import yaml
from blender.data_generator import DataGenerator

if __name__ == "__main__":
    config_path = sys.argv[sys.argv.index('--') + 1]
    with open(config_path, "r") as file:
        config = yaml.safe_load(file)
    print("init data generator")
    dg = DataGenerator(config)
    print("generate all scene data")
    dg.gen_all_scene_data()
    